#ifndef GRAPHICS_HPP
#define GRAPHICS_HPP
#include <GLFW/glfw3.h>

#include <iostream>
#include <string>

class ShaderProgram {
public:
  enum Base { Empty, Triangle };
  std::string baseName();
  ShaderProgram(Base base, std::string vertexSource, std::string fragSource);
  int run();

protected:
  unsigned int vertex;
  unsigned int frag;
  Base base;
};
int mainWindow(ShaderProgram* shaderProgramm);
#endif
