#!/bin/bash
set -e
flags="-DGLFW_USE_WAYLAND=ON" # compile glfw for wayland instead of X11
cmake $flags .
cmake --build .
echo -e "running the program, passing the given args"
echo -e "========================================"
# shellcheck disable=SC2046 # Intended splitting of OPTIONS
./run.sh $@
