#ifndef MAIN_HPP
#define MAIN_HPP
#include <boost/program_options.hpp>
#include <boost/program_options/parsers.hpp>
#include <boost/program_options/positional_options.hpp>
#include <boost/program_options/variables_map.hpp>
#include <boost/log/trivial.hpp>

#include "graphics.hpp"

// EXIT_FAILURE and EXIT_SUCCESS are defined in cstdlib
const int EXIT_USAGE = 2;
const int EXIT_IO = 3;
const int EXIT_GL = 4;

namespace po = boost::program_options;
using namespace std;

int main(int argc, char **argv);

void help(char *prog, po::options_description desc);
#endif
